## List the recurring positions of a contract (tenant:trade:contract:read or tenant:trade:msp:read)

`GET /api/trade/v1/contracts/{id}/items`

Module: Trade · operationId: `listContractItems` · Tag: Contracts · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |

### Responses

- **200** Positions (`application/json`)
- **401** No valid session or bearer token (no body).
- **404** Not found in the tenant. (`application/json`)

Fields of the 200 answer:

- `items` (array of ContractItem)

Example 200 answer:

```json
{
  "items": [
    {
      "articleNumber": "DL-9005",
      "billingCadence": "",
      "contractId": "0e1f2a3b-4c5d-4e6f-8a7b-9c0d1e2f3a07",
      "id": "1f2a3b4c-5d6e-4f7a-9b8c-0d1e2f3a4b01",
      "name": "Supportpauschale Fernwartung, monatlich",
      "quantity": 1,
      "sortOrder": 1,
      "source": "fixed",
      "startDate": "2026-01-01",
      "unitPrice": 180
    },
    {
      "articleNumber": "MSFTCFQ7TTC0LDPB0001P1YM",
      "billingCadence": "",
      "contractId": "0e1f2a3b-4c5d-4e6f-8a7b-9c0d1e2f3a07",
      "id": "1f2a3b4c-5d6e-4f7a-9b8c-0d1e2f3a4b02",
      "name": "Microsoft 365 Business Standard",
      "quantity": 1,
      "sortOrder": 2,
      "source": "usage",
      "startDate": "2026-01-01",
      "unitPrice": 12.5
    }
  ]
}
```

### Example request

```bash
curl -X GET 'https://api.mbcom.cloud/api/trade/v1/contracts/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/items' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
